Commet
  • Pricing
Log InTry out
Add feature to plan POSTAdd price to plan POSTCreate plan POSTDelete plan price DELETEDelete plan DELETEDelete regional prices DELETEGet plan GETList plans GETRemove feature from plan DELETESet default price PUTSet plan visibility PUTUpdate plan feature PUTUpdate plan price PUTUpdate plan PUTUpsert regional prices PUT
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Add price to plan

Add a billing interval price to a plan with optional trial days and included balance/credits.

Add feature to plan POST

Attach a feature to a plan with limits, overage, and credits configuration.

Create plan POST

Create a new plan with optional consumption model, visibility, and plan group assignment.

POST
/plans/{id}/prices

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

billingInterval*string
Value in"weekly" | "monthly" | "quarterly" | "yearly" | "one_time"
price*integer
Range0 <= value
trialDays?integer
Range0 <= value
isDefault?boolean
includedBalance?|
includedCredits?|

Response Body

application/json

curl -X POST "https://commet.co/api/v1/plans/string/prices" \  -H "Content-Type: application/json" \  -d '{    "billingInterval": "weekly",    "price": 0  }'

application/json

application/json

Price in rate scale (10000 = $1.00)

Add a billing interval price to a plan with optional trial days and included balance/credits.

Plan public ID

{
  "success": true,
  "data": {
    "object": "plan",
    "livemode": true,
    "id": "string",
    "planId": "string",
    "billingInterval": "string",
    "price": 0,
    "isDefault": true,
    "trialDays"





{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
:
0
,
"includedBalance": 0,
"includedCredits": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
}